Bug 1413943 - [abrt] gjs: futex_wait_cancelable(): gjs-console killed by SIGSEGV
Summary: [abrt] gjs: futex_wait_cancelable(): gjs-console killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gjs
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:339f59bb861b456378317545885...
: 1416549 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 12:09 UTC by Mikko Tiihonen
Modified: 2018-05-29 11:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:24:19 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (71.90 KB, text/plain)
2017-01-17 12:09 UTC, Mikko Tiihonen
no flags Details
File: cgroup (192 bytes, text/plain)
2017-01-17 12:09 UTC, Mikko Tiihonen
no flags Details
File: core_backtrace (3.25 KB, text/plain)
2017-01-17 12:10 UTC, Mikko Tiihonen
no flags Details
File: dso_list (20.66 KB, text/plain)
2017-01-17 12:10 UTC, Mikko Tiihonen
no flags Details
File: environ (1.16 KB, text/plain)
2017-01-17 12:10 UTC, Mikko Tiihonen
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-17 12:10 UTC, Mikko Tiihonen
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-17 12:10 UTC, Mikko Tiihonen
no flags Details
File: maps (79.39 KB, text/plain)
2017-01-17 12:10 UTC, Mikko Tiihonen
no flags Details
File: mountinfo (3.66 KB, text/plain)
2017-01-17 12:10 UTC, Mikko Tiihonen
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-17 12:10 UTC, Mikko Tiihonen
no flags Details
File: open_fds (2.76 KB, text/plain)
2017-01-17 12:10 UTC, Mikko Tiihonen
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2017-01-17 12:10 UTC, Mikko Tiihonen
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-17 12:10 UTC, Mikko Tiihonen
no flags Details

Description Mikko Tiihonen 2017-01-17 12:09:49 UTC
Version-Release number of selected component:
gjs-1.47.0-2.fc26

Additional info:
reporter:       libreport-2.9.0
backtrace_rating: 4
cmdline:        /usr/bin/gjs /usr/bin/gnome-documents --gapplication-service
crash_function: futex_wait_cancelable
executable:     /usr/bin/gjs-console
global_pid:     2719
kernel:         4.10.0-0.rc3.git4.2.fc26.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 12 (6 frames)
 #0 futex_wait_cancelable at ../sysdeps/unix/sysv/linux/futex-internal.h:88
 #1 __pthread_cond_wait_common at pthread_cond_wait.c:502
 #2 __pthread_cond_wait at pthread_cond_wait.c:655
 #3 __gthread_cond_wait at /usr/src/debug/gcc-6.3.1-20161221/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/x86_64-redhat-linux/bits/gthr-default.h:864
 #4 std::condition_variable::wait at ../../../../../libstdc++-v3/src/c++11/condition_variable.cc:53
 #5 std::_V2::condition_variable_any::wait<std::unique_lock<bmalloc::Mutex> > at /usr/include/c++/6.2.1/condition_variable:251

Comment 1 Mikko Tiihonen 2017-01-17 12:09:56 UTC
Created attachment 1241690 [details]
File: backtrace

Comment 2 Mikko Tiihonen 2017-01-17 12:09:58 UTC
Created attachment 1241691 [details]
File: cgroup

Comment 3 Mikko Tiihonen 2017-01-17 12:10:00 UTC
Created attachment 1241692 [details]
File: core_backtrace

Comment 4 Mikko Tiihonen 2017-01-17 12:10:02 UTC
Created attachment 1241693 [details]
File: dso_list

Comment 5 Mikko Tiihonen 2017-01-17 12:10:04 UTC
Created attachment 1241694 [details]
File: environ

Comment 6 Mikko Tiihonen 2017-01-17 12:10:06 UTC
Created attachment 1241695 [details]
File: exploitable

Comment 7 Mikko Tiihonen 2017-01-17 12:10:07 UTC
Created attachment 1241696 [details]
File: limits

Comment 8 Mikko Tiihonen 2017-01-17 12:10:10 UTC
Created attachment 1241697 [details]
File: maps

Comment 9 Mikko Tiihonen 2017-01-17 12:10:12 UTC
Created attachment 1241698 [details]
File: mountinfo

Comment 10 Mikko Tiihonen 2017-01-17 12:10:14 UTC
Created attachment 1241699 [details]
File: namespaces

Comment 11 Mikko Tiihonen 2017-01-17 12:10:16 UTC
Created attachment 1241700 [details]
File: open_fds

Comment 12 Mikko Tiihonen 2017-01-17 12:10:17 UTC
Created attachment 1241701 [details]
File: proc_pid_status

Comment 13 Mikko Tiihonen 2017-01-17 12:10:19 UTC
Created attachment 1241702 [details]
File: var_log_messages

Comment 14 Ilya Gradina 2017-01-25 19:15:37 UTC
*** Bug 1416549 has been marked as a duplicate of this bug. ***

Comment 15 Fedora End Of Life 2017-02-28 11:00:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 16 Fedora End Of Life 2018-05-03 08:10:10 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2018-05-29 11:24:19 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.